/**
 * Copyright 2018 Google Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * All current generators of fake data provided by Faker library
 */
export const generators = [
  'address.zipCode',
  'address.city',
  'address.cityPrefix',
  'address.citySuffix',
  'address.streetName',
  'address.streetAddress',
  'address.streetSuffix',
  'address.streetPrefix',
  'address.secondaryAddress',
  'address.county',
  'address.country',
  'address.countryCode',
  'address.state',
  'address.stateAbbr',
  'address.latitude',
  'address.longitude',
  'commerce.color',
  'commerce.department',
  'commerce.productName',
  'commerce.price',
  'commerce.productAdjective',
  'commerce.productMaterial',
  'commerce.product',
  'company.suffixes',
  'company.companyName',
  'company.companySuffix',
  'company.catchPhrase',
  'company.bs',
  'company.catchPhraseAdjective',
  'company.catchPhraseDescriptor',
  'company.catchPhraseNoun',
  'company.bsAdjective',
  'company.bsBuzz',
  'company.bsNoun',
  'database.column',
  'database.type',
  'database.collation',
  'database.engine',
  'date.past',
  'date.future',
  'date.between',
  'date.recent',
  'date.month',
  'date.weekday',
  'finance.account',
  'finance.accountName',
  'finance.mask',
  'finance.amount',
  'finance.transactionType',
  'finance.currencyCode',
  'finance.currencyName',
  'finance.currencySymbol',
  'finance.bitcoinAddress',
  'finance.iban',
  'finance.bic',
  'hacker.abbreviation',
  'hacker.adjective',
  'hacker.noun',
  'hacker.verb',
  'hacker.ingverb',
  'hacker.phrase',
  'image.image',
  'image.avatar',
  'image.imageUrl',
  'image.abstract',
  'image.animals',
  'image.business',
  'image.cats',
  'image.city',
  'image.food',
  'image.nightlife',
  'image.fashion',
  'image.people',
  'image.nature',
  'image.sports',
  'image.technics',
  'image.transport',
  'image.dataUri',
  'internet.avatar',
  'internet.email',
  'internet.exampleEmail',
  'internet.userName',
  'internet.protocol',
  'internet.url',
  'internet.domainName',
  'internet.domainSuffix',
  'internet.domainWord',
  'internet.ip',
  'internet.ipv6',
  'internet.userAgent',
  'internet.color',
  'internet.mac',
  'internet.password',
  'lorem.word',
  'lorem.words',
  'lorem.sentence',
  'lorem.slug',
  'lorem.sentences',
  'lorem.paragraph',
  'lorem.paragraphs',
  'lorem.text',
  'lorem.lines',
  'name.firstName',
  'name.lastName',
  'name.findName',
  'name.jobTitle',
  'name.prefix',
  'name.suffix',
  'name.title',
  'name.jobDescriptor',
  'name.jobArea',
  'name.jobType',
  'phone.phoneNumber',
  'phone.phoneNumberFormat',
  'phone.phoneFormats',
  'random.number',
  'random.arrayElement',
  'random.objectElement',
  'random.uuid',
  'random.boolean',
  'random.word',
  'random.words',
  'random.image',
  'random.locale',
  'random.alphaNumeric',
  'system.fileName',
  'system.commonFileName',
  'system.mimeType',
  'system.commonFileType',
  'system.commonFileExt',
  'system.fileType',
  'system.fileExt',
  'system.semver',
];
